MergingMapper (Apache Ant API)
Keywords: org.apache.tools.ant.util.MergingMapper class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.util
Class MergingMapper

    java.lang.Object
      org.apache.tools.ant.util.MergingMapper

All Implemented Interfaces:
  FileNameMapper

public class MergingMapper
extends java.lang.Object
implements FileNameMapper

Implementation of FileNameMapper that always returns the same target file name.

This is the default FileNameMapper for the archiving tasks and uptodate.

Author:
  Stefan Bodewig

Field Summary
`protected java.lang.String[]` | `mergedFile`

Constructor Summary
`MergingMapper()`

Method Summary
`java.lang.String[]` | `mapFileName(java.lang.String sourceFileName)` Returns an one-element array containing the file name set via setTo.
`void` | `setFrom(java.lang.String from)` Ignored.
`void` | `setTo(java.lang.String to)` Sets the name of the merged file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mergedFile

    protected java.lang.String[] mergedFile

Constructor Detail

### MergingMapper

    public MergingMapper()

Method Detail

### setFrom

    public void setFrom(java.lang.String from)

  Ignored.

  Specified by:
    `setFrom` in interface `FileNameMapper`

### setTo

    public void setTo(java.lang.String to)

  Sets the name of the merged file.

  Specified by:
    `setTo` in interface `FileNameMapper`

### mapFileName

    public java.lang.String[] mapFileName(java.lang.String sourceFileName)

  Returns an one-element array containing the file name set via setTo.

  Specified by:
    `mapFileName` in interface `FileNameMapper`
  Parameters:
    `sourceFileName` - the name of the source file relative to some given basedirectory.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.